Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servicelocator
Class R01FEJBHomeFactory

    java.lang.Object
      com.ejie.r01f.servicelocator.R01FEJBHomeFactory

public class R01FEJBHomeFactory
extends java.lang.Object

Field Summary
`static java.lang.String` | `APPLICATION_DEFAULT` Deprecated.

Method Summary
`static R01FEJBHomeFactory` | `getInstance()` Deprecated.
`static R01FEJBHomeFactory` | `getInstance(java.lang.String application, java.lang.String name)` Deprecated.
`javax.ejb.EJBLocalHome` | `lookupByLocalEJBReference(java.lang.String ejbReferenceComponent)` Deprecated.
`javax.ejb.EJBHome` | `lookupByRemoteEJBReference(java.lang.String ejbReferenceComponent, java.lang.Class homeClass)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLICATION_DEFAULT

    public static final java.lang.String APPLICATION_DEFAULT

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static R01FEJBHomeFactory getInstance()

  Deprecated.

### getInstance

    public static R01FEJBHomeFactory getInstance(java.lang.String application,
                                                 java.lang.String name)

  Deprecated.

### lookupByLocalEJBReference

    public javax.ejb.EJBLocalHome lookupByLocalEJBReference(java.lang.String ejbReferenceComponent)
                                                     throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### lookupByRemoteEJBReference

    public javax.ejb.EJBHome lookupByRemoteEJBReference(java.lang.String ejbReferenceComponent,
                                                        java.lang.Class homeClass)
                                                 throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD